:- include(plnxt).

nxt_demo :-
	nxt_connection_open,
	nxt_light_sensor_LED(activate),
	nxt_demo_loop,
	nxt_demo_loop,
	nxt_demo_loop,
	nxt_demo_loop,
	nxt_demo_loop,
	nxt_demo_loop,
	nxt_demo_loop,
	nxt_demo_loop,
	nxt_play_sound_file('Good Job.rso'),
	wait(5),
	nxt_demo_close.

nxt_demo_loop :-
	% Getting direction.
	nxt_demo_look_around(Index),
	% Turning.
	nxt_demo_turn_to(Index),
	% Moving.
	nxt_go(200,100).

nxt_demo_turn_to(Index) :-
	Degrees is 42 - 3 * Index,
	nxt_turn_degrees(100,Degrees).

nxt_demo_look_around(Index) :-
	nxt_turn_degrees(100,21),
	nxt_light_sensor(V1),
	nxt_turn_degrees(100,-3),
	nxt_light_sensor(V2),
	nxt_turn_degrees(100,-3),
	nxt_light_sensor(V3),
	nxt_turn_degrees(100,-3),
	nxt_light_sensor(V4),
	nxt_turn_degrees(100,-3),
	nxt_light_sensor(V5),
	nxt_turn_degrees(100,-3),
	nxt_light_sensor(V6),
	nxt_turn_degrees(100,-3),
	nxt_light_sensor(V7),
	nxt_turn_degrees(100,-3),
	nxt_light_sensor(V8),

	nxt_turn_degrees(100,-3),
	nxt_light_sensor(V9),
	nxt_turn_degrees(100,-3),
	nxt_light_sensor(V10),
	nxt_turn_degrees(100,-3),
	nxt_light_sensor(V11),
	nxt_turn_degrees(100,-3),
	nxt_light_sensor(V12),
	nxt_turn_degrees(100,-3),
	nxt_light_sensor(V13),
	nxt_turn_degrees(100,-3),
	nxt_light_sensor(V14),
	nxt_turn_degrees(100,-3),
	nxt_light_sensor(V15),
	write('Readings: '),
	write(V1),write(' '),
	write(V2),write(' '),
	write(V3),write(' '),
	write(V4),write(' '),
	write(V5),write(' '),
	write(V6),write(' '),
	write(V7),write(' '),
	write(V8),write(' '),
	write(V9),write(' '),
	write(V10),write(' '),
	write(V11),write(' '),
	write(V12),write(' '),
	write(V13),write(' '),
	write(V14),write(' '),
	write(V15),write(' '), nl,
	minimum_index([V1,V2,V3,V4,V5,V6,V7,V8,V9,V10,V11,V12,V13,V14,V15],Index),
	write('Number of the lowest reading (starting from 0): '), write(Index), nl,!.

minimum_index(List,Index) :-
	sort(List,[Lowest|_]),
	get_index(List,Lowest,0,Index).

get_index([Value|_],Lowest,Index,ReturnIndex) :-
	Value == Lowest,
	ReturnIndex is Index.

get_index([_|Tail],Lowest,Index,ReturnIndex) :-
	NextIndex is Index + 1,
	get_index(Tail,Lowest,NextIndex,ReturnIndex).

get_index([],_,_,_).

nxt_demo_close :-
	nxt_light_sensor_LED(passivate),
	nxt_stop,
	nxt_connection_close.




