:- include(plnxt).

nxt_go_on :-
	writeln('Press any key to continue...'),
	get_single_char(_),
	nl.
	
nxt_test_start :-
	writeln('Defining robot setting (wheel circumference, axle lenght, left motor, right motor, reverse, touch port, sound port, light port, ultrasonic port).'),
	nxt_set_robot(17.5,11,'C','B',false,'S1','S2','S3','S4'),
	nxt_go_on,
	
	writeln('Opening connection.'),
	nxt_connection_open,
	nxt_go_on,
	
	nxt_voltage_millivolt(V),
	write('Battery voltage: '),write(V),write(' mV'),nl,
	nxt_go_on,

	writeln('Rotating a motor forward.'),
	nxt_motor('A',200),
	nxt_go_on,

	writeln('Rotating a motor backward.'),
	nxt_motor('A',-200),
	nxt_go_on,
	nxt_motor('A',0),
	
	writeln('Moving forward (5 sec).'),
	nxt_go_sec(200,5,force),
	nxt_go_on,
	
	writeln('Moving backward.'),
	nxt_go(-200,force),
	nxt_go_on,
	nxt_stop,
	
	nxt_sound(Val1,force),
	write('Sound reading: '),write(Val1),nl,
	nxt_go_on,

	nxt_light(Val2,force),
	write('Light reading: '),write(Val2),nl,
	nxt_go_on,
	
	nxt_ultrasonic(Val4,force),
	write('Distance reading: '),write(Val4),nl,
	nxt_go_on,
	
	writeln('Press the touch sensor to finish!'),
	trigger_create(_,nxt_touch_sensor('S1',1),nxt_test_close).

nxt_test_close :-
	writeln('Closing connection...'),
	nxt_connection_close.


:- nxt_test_start.














